# CICADA

### File

`src/app/_models/token.ts`

### Description

Token object interface

### Index

###### Properties

- address
- decimals
- name
- Optional owner
- Optional reserveRatio
- Optional reserves
- supply
- symbol

### Properties

address
`address: `string``
Type : `string`
Address of the deployed token contract.

decimals
`decimals: `string``
Type : `string`
Number of decimals to convert to smallest denomination of the token.

name
`name: `string``
Type : `string`
Name of the token.

owner
`owner: `string``
Type : `string`
Optional
Address of account that deployed token.

reserveRatio
`reserveRatio: `string``
Type : `string`
Optional
Token reserve to token minting ratio.

reserves
`reserves: `literal type``
Type : `literal type`
Optional
Token reserve information

supply
`supply: `string``
Type : `string`
Total token supply.

symbol
`symbol: `string``
Type : `string`
The unique token symbol.

    interface Token {
      /** Address of the deployed token contract. */
      address: string;
      /** Number of decimals to convert to smallest denomination of the token. */
      decimals: string;
      /** Name of the token. */
      name: string;
      /** Address of account that deployed token. */
      owner?: string;
      /** Token reserve to token minting ratio. */
      reserveRatio?: string;
      /** Token reserve information */
      reserves?: {
        '0xa686005CE37Dce7738436256982C3903f2E4ea8E'?: {
          weight: string;
          balance: string;
        };
      };
      /** Total token supply. */
      supply: string;
      /** The unique token symbol. */
      symbol: string;
    }

    /** @exports */
    export { Token };

# result-matching ""

# No results matching ""